package com.madeu.controller.mobile.mobiletreatmentprocedure;

import com.madeu.constants.Constants;
import com.madeu.init.ManagerDraftAction;
import com.madeu.service.mobile.mobiletreatmentProcedure.MobileTreatmentProcedureService;
import com.madeu.service.web.webloghistory.WebLogHistoryService;
import com.madeu.service.web.webtreatmentprocedure.WebTreatmentProcedureService;
import com.madeu.util.HttpUtil;
import com.madeu.util.RequestLogUtil;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import jakarta.servlet.http.HttpSession;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.multipart.MultipartHttpServletRequest;
import org.springframework.web.servlet.ModelAndView;

import java.util.HashMap;


@Slf4j
@Controller
public class MobileTreatmentProcedureController extends ManagerDraftAction{

	@Autowired
	private MobileTreatmentProcedureService mobileTreatmentProcedureService;
	
//	@Autowired
//	private WebLogHistoryService webLogHistoryService;

	/**
	 * 진료 시술 정보 리스트 조회 (option)
	 * 
	 * @param request
	 * @param response 
	 * @return
	 */
	@RequestMapping(value="/mobiletreatmentprocedure/selectListTreatmentProcedureOption.do")
	public ModelAndView selectListTreatmentProcedureOption(HttpSession session,HttpServletRequest request, HttpServletResponse response) {
		log.debug("WebTreatmentProcedureService selectListTreatmentProcedureOption START");
		
		HashMap<String, Object> paramMap = HttpUtil.getParameterMap(request);
		HashMap<String, Object> map = new HashMap<String, Object>();
		
		try{
			if(!mobileCheckLogin(session)){
				return null;
			}
			else{
				paramMap.put("muUserId", String.valueOf(session.getAttribute("loginUserId")));
				map = mobileTreatmentProcedureService.selectListTreatmentProcedureOption(paramMap);
			}
		}
		catch (Exception e) {
			e.printStackTrace();
			return null;
		}
		finally {
			if(Constants.OK == map.get("msgCode")) {

			}
			else{
				map.put("msgCode", Constants.FAIL);
				map.put("success", false);
				if(null == map.get("msgDesc") || ("").equals(map.get("msgDesc"))) {
					map.put("msgDesc","정상적으로 수행되지 않았습니다. 관리자에게 문의하시기 바랍니다.");
				}
			}
		}
		log.debug("WebTreatmentProcedureService selectListTreatmentProcedureOption END");
		return HttpUtil.makeHashToJsonModelAndView(map);
	}
	
}
